# Products Object

> Source: https://truto.one/docs/api-reference/unified-e-commerce-api/products/

Schema for the `Products` resource in **Unified E-Commerce API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a product
- **`name`** _(string)_
  The name of a product
- **`description`** _(string)_
  The description of a product
- **`status`** _(string)_
  The status of a product. If no clear mapping exists, then raw value is returned.
  Allowed: `active`, `inactive`
- **`price`** _(string)_
  The price of a product
- **`sku`** _(string)_
  The sku of a product
- **`inventory_quantity`** _(string)_
  The quantity of a product in stock
- **`images`** _(array<object>)_
  The images of a product
  - **`id`** _(string)_
    The unique identifier of an image of a product
  - **`url`** _(string)_
    The url of an image of product
- **`weight`** _(string)_
  The weight of a product
- **`weight_unit`** _(string)_
  The weight unit of a product
- **`options`** _(array<object>)_
  The options of a product
  - **`id`** _(string)_
    The unique identifier of an option of a product
  - **`name`** _(string)_
    The name of option for product
  - **`values`** _(array<unknown>)_
    The values of option for product
- **`variants`** _(array<object>)_
  The options of a product
  - **`id`** _(string)_
    The unique identifier of a variant of a product
  - **`name`** _(string)_
    The name of variant for product
  - **`price`** _(string)_
    The price of variant for product
  - **`sku`** _(string)_
    The sku of variant for product
  - **`inventory_quantity`** _(string)_
    The quantity of variant for product in stock
  - **`weight`** _(string)_
    The weight of variant
  - **`options`** _(array<object>)_
    The options for variant
    - **`id`** _(string)_
      The unique identifier for option of variant
    - **`name`** _(string)_
      The name for option of variant
    - **`value`** _(string)_
      The value for option of variant
  - **`images`** _(array<object>)_
    The images for variant
    - **`id`** _(string)_
      The unique identifier for image of variant
    - **`url`** _(string)_
      The url of image of variant
- **`tags`** _(array<string>)_
  The tags of a product
- **`categories`** _(array<object>)_
  The categories of a product
  - **`id`** _(string)_
    The unique identifier of a category of product
  - **`name`** _(string)_
    The name of category for product
- **`created_at`** _(string)_
  The date and time when product was created
- **`updated_at`** _(string)_
  The date and time when product was updated
- **`notes`** _(string)_
  The notes related to the product, if any.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ecommerce/products](/docs/api-reference/unified-e-commerce-api/products/list) — List Products
- [POST /unified/ecommerce/products](/docs/api-reference/unified-e-commerce-api/products/create) — Create Products
- [GET /unified/ecommerce/products/{id}](/docs/api-reference/unified-e-commerce-api/products/get) — Get Products
